VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::VMTypes::Summary Class Reference

The `VM.Summary` class contains commonly used information about a virtual machine. More...

List of all members.

## Public Member Functions
| Summary ()
| Creates a default new instance.
string | GetVm ()
| Identifier of the virtual machine.
void | SetVm (string vm)
| Identifier of the virtual machine.
string | GetName ()
| Name of the Virtual machine.
void | SetName (string name)
| Name of the Virtual machine.
vmware.vcenter.vm.PowerTypes.State | GetPowerState ()
| Power state of the virtual machine.
void | SetPowerState (vmware.vcenter.vm.PowerTypes.State powerState)
| Power state of the virtual machine.
long | GetCpuCount ()
| Number of CPU cores.
void | SetCpuCount (long?cpuCount)
| Number of CPU cores.
long | GetMemorySizeMiB ()
| Memory size in mebibytes.
void | SetMemorySizeMiB (long?memorySizeMiB)
| Memory size in mebibytes.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `VM.Summary` class contains commonly used information about a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::VMTypes::Summary::Summary | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::VMTypes::Summary::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::VMTypes::Summary::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::VMTypes::Summary::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::VMTypes::Summary::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::VMTypes::Summary::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::VMTypes::Summary::Equals | ( | object | obj | ) | `[inline]`

long vmware::vcenter::VMTypes::Summary::GetCpuCount | ( |  | ) | `[inline]`

Number of CPU cores.

override int vmware::vcenter::VMTypes::Summary::GetHashCode | ( |  | ) | `[inline]`

long vmware::vcenter::VMTypes::Summary::GetMemorySizeMiB | ( |  | ) | `[inline]`

Memory size in mebibytes.

string vmware::vcenter::VMTypes::Summary::GetName | ( |  | ) | `[inline]`

Name of the Virtual machine.

vmware.vcenter.vm.PowerTypes.State vmware::vcenter::VMTypes::Summary::GetPowerState | ( |  | ) | `[inline]`

Power state of the virtual machine.

string vmware::vcenter::VMTypes::Summary::GetVm | ( |  | ) | `[inline]`

Identifier of the virtual machine.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `VirtualMachine` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `VirtualMachine` .

void vmware::vcenter::VMTypes::Summary::SetCpuCount | ( | long? | cpuCount | ) | `[inline]`

Number of CPU cores.

void vmware::vcenter::VMTypes::Summary::SetMemorySizeMiB | ( | long? | memorySizeMiB | ) | `[inline]`

Memory size in mebibytes.

void vmware::vcenter::VMTypes::Summary::SetName | ( | string | name | ) | `[inline]`

Name of the Virtual machine.

void vmware::vcenter::VMTypes::Summary::SetPowerState | ( | vmware.vcenter.vm.PowerTypes.State | powerState | ) | `[inline]`

Power state of the virtual machine.

void vmware::vcenter::VMTypes::Summary::SetVm | ( | string | vm | ) | `[inline]`

Identifier of the virtual machine.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `VirtualMachine` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `VirtualMachine` .

override string vmware::vcenter::VMTypes::Summary::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- VMTypes.cs